/*
   Define WEAK_REALM will build a discuss server that accepts weak
   "I am who I say I am" authentication.  WEAK_REALM should be
   defined as the name of the realm that these clients will be
   authenticated as.

   This variable may be used in conjunction with Kerberos
   authentication, in which case ACL's can be used to shut these weak
   users out.

   This variable must be defined if you are not using Kerberos.
*/
#ifndef WEAK_REALM
/* #define WEAK_REALM "unknown.realm" */
#endif

/*
   The name of the server with the new_meetings meeting.
   This is used by dsc_setup.
*/
#ifndef SERVER_NAME
#define SERVER_NAME "charon.mit.edu"
#endif

/* The name of the service in /etc/services. */
#ifndef SERVICE_NAME
#define SERVICE_NAME "discuss"
#endif

/* The port of the service in /etc/services. */
#ifndef SERVICE_PORT
#define SERVICE_PORT 2100
#endif
