/*
 *
 * types.h --   Include file for miscellaneous types used in discuss.
 *		This is the work horse of discuss include files.
 *
 */

#ifndef DISTYPES
#define DISTYPES 1

#include <sys/types.h>

typedef int trn_nums;		/* what a transaction number could be */
typedef short bool;
typedef char *mtg_names;	/* what a meeting name is */
typedef char *pathnames;	/* Fixed, or what? */
typedef int faddr;		/* address in a file (offset from beginning) */
typedef short slen;		/* length of a string */

#define SUCCESS 1
#define ERROR   -1

#ifndef FALSE
#define TRUE    1
#define FALSE   0
#endif

#endif
