
#if HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef KERBEROS
#include <krb.h>
#else
#include <discuss/config.h>
#endif

const char *local_realm ()
{
#ifdef KERBEROS
    static char realm [REALM_SZ] = "";

    if (realm [0] == '\0')
	krb_get_lrealm (realm, 1);
    return (realm);
#else
    return (WEAK_REALM);
#endif
}
