/* UNIX Unified Stream Protocol 

   Copyright 1986 by the Massachusetts Institute of Technology 
   See permission and disclaimer notice in file "notice.h" 
*/

/* Generally Useful Things */

extern int  errno;

#define TRUE 1
#define FALSE 0
#define SUCCESS 1
#define ERROR   (-1)
#define max(a, b) (a > b ? a : b)

/* internal.c */
int get_sub_block_header (USPStream *);
int skip_sub_block (USPStream *);
int get_from_sub_block (USPStream *, Byte *, unsigned, unsigned *);
int get_from_net (USPStream *, Byte *, unsigned);
int put_into_sub_block (USPStream *, Byte *, unsigned);
int send_sub_block (USPStream *, int);
int put_onto_net (USPStream *, Byte *, unsigned, int);
